digiKam Developer Documentation: Digikam::GPSBookmarkModelHelper Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Signals | Public Member Functions | List of all members
Digikam::GPSBookmarkModelHelper Class Reference
Inheritance diagram for Digikam::GPSBookmarkModelHelper:

## Public Types
enum | Constants { CoordinatesRole = Qt::UserRole + 1 }
Public Types inherited from Digikam::GeoModelHelper
enum | PropertyFlag { FlagNull = 0 , FlagVisible = 1 , FlagMovable = 2 , FlagSnaps = 4 }
typedef QFlags< PropertyFlag > | PropertyFlags

## Signals
void | signalUndoCommand (GPSUndoCommand *undoCommand)
Signals inherited from Digikam::GeoModelHelper
void | signalModelChangedDrastically ()
void | signalThumbnailAvailableForIndex (const QPersistentModelIndex &index, const QPixmap &pixmap)
void | signalVisibilityChanged ()

## Public Member Functions
| GPSBookmarkModelHelper (BookmarksManager *const bookmarkManager, GPSItemModel *const imageModel, QObject *const parent=nullptr)
bool | itemCoordinates (const QModelIndex &index, GeoCoordinates *const coordinates) const override
PropertyFlags | itemFlags (const QModelIndex &index) const override
bool | itemIcon (const QModelIndex &index, QPoint *const offset, QSize *const size, QPixmap *const pixmap, QUrl *const url) const override
| these are necessary for ungrouped models
QAbstractItemModel * | model () const override
| these are necessary for grouped and ungrouped models
PropertyFlags | modelFlags () const override
QItemSelectionModel * | selectionModel () const override
void | setVisible (const bool state)
void | snapItemsTo (const QModelIndex &targetIndex, const QList< QModelIndex > &snappedIndices) override
Public Member Functions inherited from Digikam::GeoModelHelper
| GeoModelHelper (QObject *const parent=nullptr)
virtual QPersistentModelIndex | bestRepresentativeIndexFromList (const QList< QPersistentModelIndex > &list, const int sortKey)
virtual void | onIndicesClicked (const QList< QPersistentModelIndex > &clickedIndices)
virtual void | onIndicesMoved (const QList< QPersistentModelIndex > &movedIndices, const GeoCoordinates &targetCoordinates, const QPersistentModelIndex &targetSnapIndex)
virtual QPixmap | pixmapFromRepresentativeIndex (const QPersistentModelIndex &index, const QSize &size)
| these are used by MarkerModel for grouped models
void | snapItemsTo (const QModelIndex &targetIndex, const QList< QPersistentModelIndex > &snappedIndices)

## Member Function Documentation

## ◆ itemCoordinates()

bool Digikam::GPSBookmarkModelHelper::itemCoordinates | ( | const QModelIndex & | index,
|  | GeoCoordinates *const | coordinates
| ) |  | const
| overridevirtual

Implements Digikam::GeoModelHelper.

## ◆ itemFlags()

GeoModelHelper::PropertyFlags Digikam::GPSBookmarkModelHelper::itemFlags | ( | const QModelIndex & | index | ) | const
| overridevirtual

Reimplemented from Digikam::GeoModelHelper.

## ◆ itemIcon()

bool Digikam::GPSBookmarkModelHelper::itemIcon | ( | const QModelIndex & | index,
|  | QPoint *const | offset,
|  | QSize *const | size,
|  | QPixmap *const | pixmap,
|  | QUrl *const | url
| ) |  | const
| overridevirtual

Returns the icon for an ungrouped marker.

The icon can either be returned as a URL to an image, or as a QPixmap. If the caller can handle URLs (for example, to display them in HTML), he can provide the URL parameter. However, the GeoModelHelper may still choose to return a QPixmap instead, if no URL is available.

Parameters

  index | Modelindex of the marker.
  offset | Offset of the zero point in the icon, given from the top-left.
  size | the size of the icon, only populated if a URL is returned.
  pixmap | Holder for the pixmap of the icon.
  url | URL of the icon if available.

Reimplemented from Digikam::GeoModelHelper.

## ◆ model()

QAbstractItemModel * Digikam::GPSBookmarkModelHelper::model | ( |  | ) | const
| overridevirtual

Implements Digikam::GeoModelHelper.

## ◆ modelFlags()

GeoModelHelper::PropertyFlags Digikam::GPSBookmarkModelHelper::modelFlags | ( |  | ) | const
| overridevirtual

Reimplemented from Digikam::GeoModelHelper.

## ◆ selectionModel()

QItemSelectionModel * Digikam::GPSBookmarkModelHelper::selectionModel | ( |  | ) | const
| overridevirtual

Implements Digikam::GeoModelHelper.

## ◆ snapItemsTo()

void Digikam::GPSBookmarkModelHelper::snapItemsTo | ( | const QModelIndex & | targetIndex,
|  | const QList< QModelIndex > & | snappedIndices
| ) |  |
| overridevirtual

Reimplemented from Digikam::GeoModelHelper.